Partner API.

Server
channel.redeam.io
Server Variables

Fields
KeyIn
X-API-KeyHeader

Fields
KeyIn
X-API-SecretHeader

Retrieve a list of availabilities

Returns a list of availabilities.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
product_idstring
supplier_idstring
Query String
endstring
startstring
rate_idstring
GET /suppliers/{supplier_id}/products/{product_id}/availabilities
Copy
Responses application/json
200

Retrieve a list of availabilities

objectobject
availabilitiesobject

The availabilities matching the request

byProductobject

List of availabilities

availabilityarray[object]
capacityint32

Remaining capacity of the availability

enddate-time

End of the availability

iduuid

ID of the availability

maxCapacityint32

Maximum capacity of the availability. If the maximum capacity hasn't been set by the operator, then its value will be -1.

startdate-time

Start of the availability

byRateobject

Availabilities by rate ID

expiresdate-time

Expiration date

productIduuid

Product ID for availabilities

retrieveddate-time

etrieval date

metaobject

Request meta data

reqIduuid

Request ID

400

Retrieve a list of availabilities

401

Retrieve a list of availabilities

Response
Copy

Retrieve a single availability

Checks the availability of a product.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
product_idstring
supplier_idstring
Query String
atstring
qtyinteger
rate_idstring
GET /suppliers/{supplier_id}/products/{product_id}/availability
Copy
Responses application/json
200

Retrieve a single availability

objectobject
availabilityobject

The availability matching the request

capacityint32

Remaining capacity of the availability

enddate-time

End of the availability

iduuid

ID of the availability

maxCapacityint32

Maximum capacity of the availability. If the maximum capacity hasn't been set by the operator, then its value will be -1.

startdate-time

Start of the availability

bookableboolean

A true value means a bookable availability is found

metaobject

Request meta data

reqIduuid

Request ID

400

Retrieve a single availability

401

Retrieve a single availability

404

Retrieve a single availability

Response
Copy

Create a booking

Creates a booking.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Request Body
objectobject
bookingobject

The booking

barcodeobject
formatstring

Format of the barcode

Enum: CODE128,CODE39,EAN13,QR_CODE,TEXT,UNKNOWN,UPCA

valuestring

Value of the barcode

channelIduuid

Channel ID requesting the booking

customerobject

Customer for the booking

emailstring

Email address of the customer

firstNamestring

First name of the customer

lastNamestring

Last name of the customer

phonestring

Phone number of the customer

extobject

Extended data for the booking

holdExtobject

Extended data for the hold associated with the booking

holdIduuid

Optional Hold ID

iduuid

ID of the booking. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

itemsarray[object]

Items for the booking

availabilityIduuid

ID of availability selection

extobject

Extended data for the booking item

iduuid

Booking Item ID.

priceIdstring

ID of price selection for the booking item. This must match one of the price IDs within the rate that is being used to create this booking

productIduuid

ID of product offering rate

quantityint32

Quantity of the booking item

rateIduuid

Rate ID for the booking item Rate

startTimedate-time
supplierIduuid

ID of supplier offering product

travelerobject

Traveler for the booking item

ageint32

Age of the traveler

countrystring

Origin country of the traveler, as an ISO 3316-1 alpha-3 code

pattern: ^[A-Za-z]{3}$

emailstring

Email address of the traveler

firstNamestring

First name of the traveler

genderstring

Gender of the traveler

Enum: FEMALE,MALE

isLeadboolean

Indicates this traveler is lead or primary. Each booking must have exactly one.

langstring

Spoken language of the traveler, as an ISO 639-3 code

pattern: ^[A-Za-z]{3}$

lastNamestring

Last name of the traveler

phonestring

Phone number of the traveler

pattern: ^\+\d[\d\s\(\)-]+$

typestring

Matches the Rate Price's travelerType ageBand

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

resellerBookingRefstring

Reseller reference ID for the booking

metaobject

Request meta data

reqIduuid

Request ID

POST /bookings
Copy
Responses application/json
201

Create a booking

objectobject
bookingobject

The booking

barcodeobject
formatstring

Format of the barcode

Enum: CODE128,CODE39,EAN13,QR_CODE,TEXT,UNKNOWN,UPCA

valuestring

Value of the barcode

cancelableboolean

True if the booking can be canceled. This value corresponds with the 'cancelable' status of the Rates in the Booking's Items.

channelIduuid

Channel ID requesting the booking

customerobject

Customer for the booking

emailstring

Email address of the customer

firstNamestring

First name of the customer

lastNamestring

Last name of the customer

phonestring

Phone number of the customer

extobject

Extended data for the booking

holdExtobject

Extended data for the hold associated with the booking

holdIduuid

Optional Hold ID

iduuid

ID of the booking. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

itemsarray[object]

Items for the booking

availabilityIduuid

ID of availability selection

extobject

Extended data for the booking item

iduuid

Booking Item ID.

priceIdstring

ID of price selection for the booking item. This must match one of the price IDs within the rate that is being used to create this booking

productIduuid

ID of product offering rate

quantityint32

Quantity of the booking item

rateobject

Rate selection for the booking item

cancelableboolean

Can a booking made with this rate be cancelled

codestring

Short textual code representing the rate

cutoffint64

The minimum interval (in minutes) between a booking's creation & start time

extobject

Extended data of the rate

holdableboolean

Can a hold be made against this rate

holdablePeriodint64

The maximum interval (in seconds) between a hold's creation & expiration time

hoursarray[object]

Rules for specifying open hours for this rate

datesarray[string]

Specific dates to which this rule applies

daysOfWeekarray[integer]

Applicable days of week. 0 is undefined, 1 is Monday, etc

timesarray[object]

Open/Close times

closestring

Close time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

openstring

Open time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

timezonestring

IANA timezone string. If empty, then the open and close times are interpreted as UTC.

validobject

Valid time range, if DaysOfWeek is specified

fromdate-time

Valid from time

untildate-time

Valid until time

iduuid

ID of the rate. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

maxTravelersint64

Maximum number of travelers to qualify for this rate

minTravelersint64

Minimum number of travelers to qualify for this rate. Must be at least 1.

namestring

Human-friendly name for the rate

optionIduuid

An Option ID identifies a Rate as belonging to a given Product option. As an example, there could be five RESERVED Rates, one for each tour time, that are all grouped as part of a single Product option, and that are only represented by multiple Rates in order to separate their Availability capacities.

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

pricesarray[object]

List of prices for this rate.

iduuid

ID of the rate price

includedTaxesarray[object]

Portion of the Retail price dedicated to government taxes and fees.

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[A-Za-z]{3}$

idstring

ID of the included taxes entry (not required to be a UUID).

namestring

Human-readable title of the included taxes entry

netint64

Amount in cents (e.g. $1 USD == 100).

retailint64

Amount in cents (e.g. $1 USD == 100).

labelsarray[string]

A list of filterable tags assigned to this price. Used in ChannelBindings (priceTags) to filter prices available by channel.

namestring

Human-readable title of the RatePrice.

netobject

The amount paid by a channel to the operator for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

originalobject

Operator's published price before discounts.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

retailobject

The amount paid by the traveler for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

statusstring

Determines if bound channels can list this price.

Enum: ACTIVE,INACTIVE

travelerTypeobject

Structured description of the age, membership or role of the traveler this price is intended for.

ageBandstring

Age band of the traveler type

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,STUDENT,UNKNOWN,YOUTH

maxAgeint32

Maximum age (inclusive) of the traveler type

minAgeint32

Minimum age (inclusive) of the traveler type

modifierstring

Optional traveler modifier. For most use cases, this can be omitted or set to 'NONE'.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

namestring

Name of the traveler type, e.g. Diver, Observer, Adult, Military

productIduuid

ID of the owning product

refundableboolean

Can a booking made with this rate be refunded

titlestring

Display name for the rate

typestring

Type of rate

Enum: FREESALE,PASS,RESERVED,UNKNOWN

validobject

Time range when this rate is valid

fromdate-time

Valid from time

untildate-time

Valid until time

versionint32

Version of this object. Increments every update.

rateIduuid

Rate ID for the booking item Rate

startTimedate-time
statusstring

Status of the booking item

Enum: CANCELLED,DELETED,EXPIRED,OPEN,REDEEMED,REFUNDED,UNKNOWN

supplierIduuid

ID of supplier offering product

travelerobject

Traveler for the booking item

ageint32

Age of the traveler

countrystring

Origin country of the traveler, as an ISO 3316-1 alpha-3 code

pattern: ^[A-Za-z]{3}$

emailstring

Email address of the traveler

firstNamestring

First name of the traveler

genderstring

Gender of the traveler

Enum: FEMALE,MALE

isLeadboolean

Indicates this traveler is lead or primary. Each booking must have exactly one.

langstring

Spoken language of the traveler, as an ISO 639-3 code

pattern: ^[A-Za-z]{3}$

lastNamestring

Last name of the traveler

phonestring

Phone number of the traveler

pattern: ^\+\d[\d\s\(\)-]+$

typestring

Matches the Rate Price's travelerType ageBand

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

resellerBookingRefstring

Reseller reference ID for the booking

statusstring

Status of the booking

Enum: CANCELLED,DELETED,FAILED,OLCI_PENDING,OPEN,PENDING,REDEEMED,UNKNOWN

ticketsarray[object]

Tickets for the booking

barcodeobject

The barcode for this ticket.

formatstring

Format of the barcode

Enum: CODE128,CODE39,EAN13,QR_CODE,TEXT,UNKNOWN,UPCA

valuestring

Value of the barcode

bookingItemIdsarray[string]

One or more references to Booking Item IDs.

extensionsobject
guestsarray[object]

The number of guests for this ticket.

countinteger

Number of guests.

typeCodestring

This should contain the Rate.Prices[].Traveler.AgeBand from the Price referenced by the Booking Item that corresponds to this ticket.

typeModifierstring

This should contain the Rate.Prices[].Traveler.Modifier from the Price referenced by the Booking Item that corresponds to this ticket.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

typeNamestring

This should contain the Rate.Prices[].Traveler.Name from the Price referenced by the Booking Item that corresponds to this ticket.

leadTravelerobject

The lead traveler for this ticket.

ageint32

Age of the traveler

countrystring

Origin country of the traveler, as an ISO 3316-1 alpha-3 code

pattern: ^[A-Za-z]{3}$

emailstring

Email address of the traveler

firstNamestring

First name of the traveler

genderstring

Gender of the traveler

Enum: FEMALE,MALE

isLeadboolean

Indicates this traveler is lead or primary. Each booking must have exactly one.

langstring

Spoken language of the traveler, as an ISO 639-3 code

pattern: ^[A-Za-z]{3}$

lastNamestring

Last name of the traveler

phonestring

Phone number of the traveler

pattern: ^\+\d[\d\s\(\)-]+$

typestring

Matches the Rate Price's travelerType ageBand

statusstring

Ticket status

Enum: CANCELLED,DELETED,EXPIRED,OPEN,REDEEMED,REFUNDED,UNKNOWN

timelinearray[object]

Timeline of actions taken on the Booking.

timestampdate-time
typeOfstring

Enum: CANCELLED,DELETED,OPEN,PENDING,REDEEMED,RELEASED,UNKNOWN

versionint32

Internal version number

metaobject

Request meta data

reqIduuid

Request ID

400

Create a booking

401

Create a booking

409

Create a booking

413

Create a booking

Response
Copy

Cancel a booking

Cancels a booking.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
booking_idstring
PUT /bookings/cancel/{booking_id}
Copy
Responses application/json
200

Cancel a booking

No response body
204

Cancel a booking

400

Cancel a booking

401

Cancel a booking

404

Cancel a booking

Response
Copy

Retrieve a single booking

Returns a booking.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
booking_idstring
GET /bookings/{booking_id}
Copy
Responses application/json
200

Retrieve a single booking

objectobject
bookingobject

The booking

barcodeobject
formatstring

Format of the barcode

Enum: CODE128,CODE39,EAN13,QR_CODE,TEXT,UNKNOWN,UPCA

valuestring

Value of the barcode

cancelableboolean

True if the booking can be canceled. This value corresponds with the 'cancelable' status of the Rates in the Booking's Items.

channelIduuid

Channel ID requesting the booking

customerobject

Customer for the booking

emailstring

Email address of the customer

firstNamestring

First name of the customer

lastNamestring

Last name of the customer

phonestring

Phone number of the customer

extobject

Extended data for the booking

holdExtobject

Extended data for the hold associated with the booking

holdIduuid

Optional Hold ID

iduuid

ID of the booking. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

itemsarray[object]

Items for the booking

availabilityIduuid

ID of availability selection

extobject

Extended data for the booking item

iduuid

Booking Item ID.

priceIdstring

ID of price selection for the booking item. This must match one of the price IDs within the rate that is being used to create this booking

productIduuid

ID of product offering rate

quantityint32

Quantity of the booking item

rateobject

Rate selection for the booking item

cancelableboolean

Can a booking made with this rate be cancelled

codestring

Short textual code representing the rate

cutoffint64

The minimum interval (in minutes) between a booking's creation & start time

extobject

Extended data of the rate

holdableboolean

Can a hold be made against this rate

holdablePeriodint64

The maximum interval (in seconds) between a hold's creation & expiration time

hoursarray[object]

Rules for specifying open hours for this rate

datesarray[string]

Specific dates to which this rule applies

daysOfWeekarray[integer]

Applicable days of week. 0 is undefined, 1 is Monday, etc

timesarray[object]

Open/Close times

closestring

Close time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

openstring

Open time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

timezonestring

IANA timezone string. If empty, then the open and close times are interpreted as UTC.

validobject

Valid time range, if DaysOfWeek is specified

fromdate-time

Valid from time

untildate-time

Valid until time

iduuid

ID of the rate. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

maxTravelersint64

Maximum number of travelers to qualify for this rate

minTravelersint64

Minimum number of travelers to qualify for this rate. Must be at least 1.

namestring

Human-friendly name for the rate

optionIduuid

An Option ID identifies a Rate as belonging to a given Product option. As an example, there could be five RESERVED Rates, one for each tour time, that are all grouped as part of a single Product option, and that are only represented by multiple Rates in order to separate their Availability capacities.

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

pricesarray[object]

List of prices for this rate.

iduuid

ID of the rate price

includedTaxesarray[object]

Portion of the Retail price dedicated to government taxes and fees.

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[A-Za-z]{3}$

idstring

ID of the included taxes entry (not required to be a UUID).

namestring

Human-readable title of the included taxes entry

netint64

Amount in cents (e.g. $1 USD == 100).

retailint64

Amount in cents (e.g. $1 USD == 100).

labelsarray[string]

A list of filterable tags assigned to this price. Used in ChannelBindings (priceTags) to filter prices available by channel.

namestring

Human-readable title of the RatePrice.

netobject

The amount paid by a channel to the operator for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

originalobject

Operator's published price before discounts.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

retailobject

The amount paid by the traveler for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

statusstring

Determines if bound channels can list this price.

Enum: ACTIVE,INACTIVE

travelerTypeobject

Structured description of the age, membership or role of the traveler this price is intended for.

ageBandstring

Age band of the traveler type

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,STUDENT,UNKNOWN,YOUTH

maxAgeint32

Maximum age (inclusive) of the traveler type

minAgeint32

Minimum age (inclusive) of the traveler type

modifierstring

Optional traveler modifier. For most use cases, this can be omitted or set to 'NONE'.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

namestring

Name of the traveler type, e.g. Diver, Observer, Adult, Military

productIduuid

ID of the owning product

refundableboolean

Can a booking made with this rate be refunded

titlestring

Display name for the rate

typestring

Type of rate

Enum: FREESALE,PASS,RESERVED,UNKNOWN

validobject

Time range when this rate is valid

fromdate-time

Valid from time

untildate-time

Valid until time

versionint32

Version of this object. Increments every update.

rateIduuid

Rate ID for the booking item Rate

startTimedate-time
statusstring

Status of the booking item

Enum: CANCELLED,DELETED,EXPIRED,OPEN,REDEEMED,REFUNDED,UNKNOWN

supplierIduuid

ID of supplier offering product

travelerobject

Traveler for the booking item

ageint32

Age of the traveler

countrystring

Origin country of the traveler, as an ISO 3316-1 alpha-3 code

pattern: ^[A-Za-z]{3}$

emailstring

Email address of the traveler

firstNamestring

First name of the traveler

genderstring

Gender of the traveler

Enum: FEMALE,MALE

isLeadboolean

Indicates this traveler is lead or primary. Each booking must have exactly one.

langstring

Spoken language of the traveler, as an ISO 639-3 code

pattern: ^[A-Za-z]{3}$

lastNamestring

Last name of the traveler

phonestring

Phone number of the traveler

pattern: ^\+\d[\d\s\(\)-]+$

typestring

Matches the Rate Price's travelerType ageBand

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

resellerBookingRefstring

Reseller reference ID for the booking

statusstring

Status of the booking

Enum: CANCELLED,DELETED,FAILED,OLCI_PENDING,OPEN,PENDING,REDEEMED,UNKNOWN

ticketsarray[object]

Tickets for the booking

barcodeobject

The barcode for this ticket.

formatstring

Format of the barcode

Enum: CODE128,CODE39,EAN13,QR_CODE,TEXT,UNKNOWN,UPCA

valuestring

Value of the barcode

bookingItemIdsarray[string]

One or more references to Booking Item IDs.

extensionsobject
guestsarray[object]

The number of guests for this ticket.

countinteger

Number of guests.

typeCodestring

This should contain the Rate.Prices[].Traveler.AgeBand from the Price referenced by the Booking Item that corresponds to this ticket.

typeModifierstring

This should contain the Rate.Prices[].Traveler.Modifier from the Price referenced by the Booking Item that corresponds to this ticket.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

typeNamestring

This should contain the Rate.Prices[].Traveler.Name from the Price referenced by the Booking Item that corresponds to this ticket.

leadTravelerobject

The lead traveler for this ticket.

ageint32

Age of the traveler

countrystring

Origin country of the traveler, as an ISO 3316-1 alpha-3 code

pattern: ^[A-Za-z]{3}$

emailstring

Email address of the traveler

firstNamestring

First name of the traveler

genderstring

Gender of the traveler

Enum: FEMALE,MALE

isLeadboolean

Indicates this traveler is lead or primary. Each booking must have exactly one.

langstring

Spoken language of the traveler, as an ISO 639-3 code

pattern: ^[A-Za-z]{3}$

lastNamestring

Last name of the traveler

phonestring

Phone number of the traveler

pattern: ^\+\d[\d\s\(\)-]+$

typestring

Matches the Rate Price's travelerType ageBand

statusstring

Ticket status

Enum: CANCELLED,DELETED,EXPIRED,OPEN,REDEEMED,REFUNDED,UNKNOWN

timelinearray[object]

Timeline of actions taken on the Booking.

timestampdate-time
typeOfstring

Enum: CANCELLED,DELETED,OPEN,PENDING,REDEEMED,RELEASED,UNKNOWN

versionint32

Internal version number

metaobject

Request meta data

reqIduuid

Request ID

401

Retrieve a single booking

404

Retrieve a single booking

Response
Copy

Acquire a hold

Acquires a hold.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Request Body
objectobject
holdobject
expiresdate-time

Datetime of hold expiration

extobject

Extended data for the hold

iduuid

ID of the hold. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

itemsarray[object]

Items in the hold

atdate-time

Availability time for the Hold item

availabilityIdstring

Availability selection for the Hold item

extobject

Extended data for the Hold item

iduuid

A unique identifier for this HoldItem

priceIdstring

ID of price selection for the booking item. This must match one of the price IDs within the rate that is being used to create this hold

productIduuid

Product selection for the Hold item

quantityint32

Amount of item to hold

rateIduuid

Rate ID for the hold item Rate

supplierIduuid

Supplier offering the product

travelerTypestring

Traveler type for the Hold item

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,YOUTH

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

metaobject

Request meta data

reqIduuid

Request ID

POST /holds
Copy
Responses application/json
201

Acquire a hold

objectobject
holdobject
expiresdate-time

Datetime of hold expiration

extobject

Extended data for the hold

iduuid

ID of the hold. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

itemsarray[object]

Items in the hold

atdate-time

Availability time for the Hold item

availabilityIdstring

Availability selection for the Hold item

extobject

Extended data for the Hold item

iduuid

A unique identifier for this HoldItem

priceIdstring

ID of price selection for the booking item. This must match one of the price IDs within the rate that is being used to create this hold

productIduuid

Product selection for the Hold item

quantityint32

Amount of item to hold

rateobject

Rate selection for the Hold item

cancelableboolean

Can a booking made with this rate be cancelled

codestring

Short textual code representing the rate

cutoffint64

The minimum interval (in minutes) between a booking's creation & start time

extobject

Extended data of the rate

holdableboolean

Can a hold be made against this rate

holdablePeriodint64

The maximum interval (in seconds) between a hold's creation & expiration time

hoursarray[object]

Rules for specifying open hours for this rate

datesarray[string]

Specific dates to which this rule applies

daysOfWeekarray[integer]

Applicable days of week. 0 is undefined, 1 is Monday, etc

timesarray[object]

Open/Close times

closestring

Close time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

openstring

Open time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

timezonestring

IANA timezone string. If empty, then the open and close times are interpreted as UTC.

validobject

Valid time range, if DaysOfWeek is specified

fromdate-time

Valid from time

untildate-time

Valid until time

iduuid

ID of the rate. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

maxTravelersint64

Maximum number of travelers to qualify for this rate

minTravelersint64

Minimum number of travelers to qualify for this rate. Must be at least 1.

namestring

Human-friendly name for the rate

optionIduuid

An Option ID identifies a Rate as belonging to a given Product option. As an example, there could be five RESERVED Rates, one for each tour time, that are all grouped as part of a single Product option, and that are only represented by multiple Rates in order to separate their Availability capacities.

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

pricesarray[object]

List of prices for this rate.

iduuid

ID of the rate price

includedTaxesarray[object]

Portion of the Retail price dedicated to government taxes and fees.

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[A-Za-z]{3}$

idstring

ID of the included taxes entry (not required to be a UUID).

namestring

Human-readable title of the included taxes entry

netint64

Amount in cents (e.g. $1 USD == 100).

retailint64

Amount in cents (e.g. $1 USD == 100).

labelsarray[string]

A list of filterable tags assigned to this price. Used in ChannelBindings (priceTags) to filter prices available by channel.

namestring

Human-readable title of the RatePrice.

netobject

The amount paid by a channel to the operator for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

originalobject

Operator's published price before discounts.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

retailobject

The amount paid by the traveler for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

statusstring

Determines if bound channels can list this price.

Enum: ACTIVE,INACTIVE

travelerTypeobject

Structured description of the age, membership or role of the traveler this price is intended for.

ageBandstring

Age band of the traveler type

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,STUDENT,UNKNOWN,YOUTH

maxAgeint32

Maximum age (inclusive) of the traveler type

minAgeint32

Minimum age (inclusive) of the traveler type

modifierstring

Optional traveler modifier. For most use cases, this can be omitted or set to 'NONE'.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

namestring

Name of the traveler type, e.g. Diver, Observer, Adult, Military

productIduuid

ID of the owning product

refundableboolean

Can a booking made with this rate be refunded

titlestring

Display name for the rate

typestring

Type of rate

Enum: FREESALE,PASS,RESERVED,UNKNOWN

validobject

Time range when this rate is valid

fromdate-time

Valid from time

untildate-time

Valid until time

versionint32

Version of this object. Increments every update.

rateIduuid

Rate ID for the hold item Rate

supplierIduuid

Supplier offering the product

travelerTypestring

Traveler type for the Hold item

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,YOUTH

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

retrieveddate-time

Datetime of retrieval

statusstring

Status of the hold

Enum: ACTIVE,EXPIRED,FAILED,PENDING,RELEASED,UNKNOWN

timelinearray[object]

Timeline of actions taken on the Hold.

timestampdate-time
typeOfstring

Enum: CANCELLED,DELETED,OPEN,PENDING,REDEEMED,RELEASED,UNKNOWN

metaobject

Request meta data

reqIduuid

Request ID

400

Acquire a hold

401

Acquire a hold

409

Acquire a hold

413

Acquire a hold

Response
Copy

Release a hold

Releases a hold.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
hold_idstring
DELETE /holds/{hold_id}
Copy
Responses application/json
204

Release a hold

No response body
401

Release a hold

404

Release a hold

Response
Copy

Retrieve a hold

Returns a hold.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
hold_idstring
GET /holds/{hold_id}
Copy
Responses application/json
200

Retrieve a hold

objectobject
holdobject
expiresdate-time

Datetime of hold expiration

extobject

Extended data for the hold

iduuid

ID of the hold. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

itemsarray[object]

Items in the hold

atdate-time

Availability time for the Hold item

availabilityIdstring

Availability selection for the Hold item

extobject

Extended data for the Hold item

iduuid

A unique identifier for this HoldItem

priceIdstring

ID of price selection for the booking item. This must match one of the price IDs within the rate that is being used to create this hold

productIduuid

Product selection for the Hold item

quantityint32

Amount of item to hold

rateobject

Rate selection for the Hold item

cancelableboolean

Can a booking made with this rate be cancelled

codestring

Short textual code representing the rate

cutoffint64

The minimum interval (in minutes) between a booking's creation & start time

extobject

Extended data of the rate

holdableboolean

Can a hold be made against this rate

holdablePeriodint64

The maximum interval (in seconds) between a hold's creation & expiration time

hoursarray[object]

Rules for specifying open hours for this rate

datesarray[string]

Specific dates to which this rule applies

daysOfWeekarray[integer]

Applicable days of week. 0 is undefined, 1 is Monday, etc

timesarray[object]

Open/Close times

closestring

Close time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

openstring

Open time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

timezonestring

IANA timezone string. If empty, then the open and close times are interpreted as UTC.

validobject

Valid time range, if DaysOfWeek is specified

fromdate-time

Valid from time

untildate-time

Valid until time

iduuid

ID of the rate. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

maxTravelersint64

Maximum number of travelers to qualify for this rate

minTravelersint64

Minimum number of travelers to qualify for this rate. Must be at least 1.

namestring

Human-friendly name for the rate

optionIduuid

An Option ID identifies a Rate as belonging to a given Product option. As an example, there could be five RESERVED Rates, one for each tour time, that are all grouped as part of a single Product option, and that are only represented by multiple Rates in order to separate their Availability capacities.

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

pricesarray[object]

List of prices for this rate.

iduuid

ID of the rate price

includedTaxesarray[object]

Portion of the Retail price dedicated to government taxes and fees.

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[A-Za-z]{3}$

idstring

ID of the included taxes entry (not required to be a UUID).

namestring

Human-readable title of the included taxes entry

netint64

Amount in cents (e.g. $1 USD == 100).

retailint64

Amount in cents (e.g. $1 USD == 100).

labelsarray[string]

A list of filterable tags assigned to this price. Used in ChannelBindings (priceTags) to filter prices available by channel.

namestring

Human-readable title of the RatePrice.

netobject

The amount paid by a channel to the operator for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

originalobject

Operator's published price before discounts.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

retailobject

The amount paid by the traveler for a product.

amountint64

Amount in cents

currencystring

ISO 4217 currency code, e.g.: USD, EUR, CHF

pattern: ^[a-zA-Z]{3}$

statusstring

Determines if bound channels can list this price.

Enum: ACTIVE,INACTIVE

travelerTypeobject

Structured description of the age, membership or role of the traveler this price is intended for.

ageBandstring

Age band of the traveler type

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,STUDENT,UNKNOWN,YOUTH

maxAgeint32

Maximum age (inclusive) of the traveler type

minAgeint32

Minimum age (inclusive) of the traveler type

modifierstring

Optional traveler modifier. For most use cases, this can be omitted or set to 'NONE'.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

namestring

Name of the traveler type, e.g. Diver, Observer, Adult, Military

productIduuid

ID of the owning product

refundableboolean

Can a booking made with this rate be refunded

titlestring

Display name for the rate

typestring

Type of rate

Enum: FREESALE,PASS,RESERVED,UNKNOWN

validobject

Time range when this rate is valid

fromdate-time

Valid from time

untildate-time

Valid until time

versionint32

Version of this object. Increments every update.

rateIduuid

Rate ID for the hold item Rate

supplierIduuid

Supplier offering the product

travelerTypestring

Traveler type for the Hold item

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,YOUTH

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

retrieveddate-time

Datetime of retrieval

statusstring

Status of the hold

Enum: ACTIVE,EXPIRED,FAILED,PENDING,RELEASED,UNKNOWN

timelinearray[object]

Timeline of actions taken on the Hold.

timestampdate-time
typeOfstring

Enum: CANCELLED,DELETED,OPEN,PENDING,REDEEMED,RELEASED,UNKNOWN

metaobject

Request meta data

reqIduuid

Request ID

401

Retrieve a hold

404

Retrieve a hold

Response
Copy